// components/ScrollableCards.tsx
import React from 'react';

const ScrollableCards = ({ title, children }:any) => {
  return (
    <div className="flex flex-col bg-white m-auto p-auto">
      <h1 className="flex py-5 font-bold text-2xl text-gray-800">
        {title}
      </h1>
      <div className="flex overflow-x-scroll pb-10 hide-scroll-bar">
        <div className="flex flex-nowrap ">
          {children}
        </div>
      </div>
      <style jsx>{`
        .hide-scroll-bar {
          -ms-overflow-style: none;
          scrollbar-width: none;
        }
        .hide-scroll-bar::-webkit-scrollbar {
          display: none;
        }
      `}</style>
    </div>
  );
};

export default ScrollableCards;
